org.eclipse.rdf4j.query.resultio.sparqlxml

## Class SPARQLResultsXMLParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqlxml.AbstractSPARQLXMLParser
    - - org.eclipse.rdf4j.query.resultio.sparqlxml.SPARQLResultsXMLParser

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser, ErrorHandler
  Direct Known Subclasses:
    SPARQLStarResultsXMLParser

      public class SPARQLResultsXMLParser
      extends AbstractSPARQLXMLParser
      implements TupleQueryResultParser

  Parser for reading tuple query results formatted as SPARQL Results Documents. See SPARQL Query Results XML Format for the definition of this format. The parser assumes that the XML is wellformed.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLResultsXMLParser()` Creates a new parser for the SPARQL Query Results XML Format that will use an instance of `SimpleValueFactory` to create Value objects.
    `SPARQLResultsXMLParser(ValueFactory valueFactory)` Creates a new parser for the SPARQL Query Results XML Format that will use the supplied ValueFactory to create Value objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryResultFormat` | `getQueryResultFormat()` Gets the query result format that this parser can parse.
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` Gets the query result format that this parser can parse.
    `void` | `parse(InputStream in)` Deprecated.
    `void` | `parseQueryResult(InputStream in)` Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.
    `void` | `setTupleQueryResultHandler(TupleQueryResultHandler handler)` Sets the TupleQueryResultHandler that will handle the parsed query result data.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqlxml.AbstractSPARQLXMLParser

      `error, fatalError, getCompulsoryXmlFeatureSettings, getCompulsoryXmlPropertySettings, getOptionalXmlFeatureSettings, getOptionalXmlPropertySettings, getSupportedSettings, parseQueryResultInternal, reportWarning, warning`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLResultsXMLParser

          public SPARQLResultsXMLParser()

      Creates a new parser for the SPARQL Query Results XML Format that will use an instance of `SimpleValueFactory` to create Value objects.

    - #### SPARQLResultsXMLParser

          public SPARQLResultsXMLParser(ValueFactory valueFactory)

      Creates a new parser for the SPARQL Query Results XML Format that will use the supplied ValueFactory to create Value objects.

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`

    - #### getQueryResultFormat

          public QueryResultFormat getQueryResultFormat()

      Description copied from interface: `QueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getQueryResultFormat` in interface `QueryResultParser`
      Returns:
        The `QueryResultFormat` supported by this parser.

    - #### setTupleQueryResultHandler

          public void setTupleQueryResultHandler(TupleQueryResultHandler handler)

      Description copied from interface: `TupleQueryResultParser`
      Sets the TupleQueryResultHandler that will handle the parsed query result data.
      Specified by:
        `setTupleQueryResultHandler` in interface `TupleQueryResultParser`

    - #### parseQueryResult

          public void parseQueryResult(InputStream in)
                                throws IOException,
                                       QueryResultParseException,
                                       TupleQueryResultHandlerException

      Description copied from interface: `QueryResultParser`
      Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.
      Specified by:
        `parseQueryResult` in interface `QueryResultParser`
      Overrides:
        `parseQueryResult` in class `AbstractSPARQLXMLParser`
      Parameters:
        `in` - The `InputStream` to parse the results from.
      Throws:
        `IOException` - If there is an exception from the InputStream.
        `QueryResultParseException` - If the query results are not parsable by this parser.
        `TupleQueryResultHandlerException`

    - #### parse

          @Deprecated
          public void parse(InputStream in)
                                 throws IOException,
                                        QueryResultParseException,
                                        TupleQueryResultHandlerException

      Deprecated.
      Description copied from interface: `TupleQueryResultParser`
      Parses the data from the supplied InputStream.
      Specified by:
        `parse` in interface `TupleQueryResultParser`
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.
        `TupleQueryResultHandlerException` - If the configured query result handler has encountered an unrecoverable error.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.